pipeline:
  docker:
    image: plugins/docker
    repo: thallian/confd-env
    autotag: true
    secrets: [ docker_username, docker_password ]
    tags:
    - ${DRONE_COMMIT_SHA}
    - ${DRONE_COMMIT_BRANCH}
    - latest
  trigger:
    image: plugins/downstream
    server: https://ci.vanwa.ch
    fork: true
    repositories:
      - docker/unbound-dns
      - docker/user-access
      - docker/monitor
      - docker/coturn
      - docker/dovecot-ldap
      - docker/mariadb
      - docker/spamassassin-ldap
      - docker/radicale-ldap
      - docker/privacyidea
      - docker/dmp
      - docker/postgres-backup
      - docker/apacheds
      - docker/php7-fpm
      - docker/koreader-sync
      - docker/murmur
      - docker/tor-relay
      - docker/postgres
      - docker/gitea
      - docker/postfix-ldap
      - docker/playmaker
      - docker/opendkim-ldap
      - docker/ldap-backup
      - docker/openldap
      - docker/backup
      - docker/ddns
      - docker/matrix-appservice-discord
      - docker/minecraft
      - docker/factorio
      - docker/synapse
      - docker/restic
      - docker/ldap-user-manager
      - docker/bungeecord
    secrets: [ downstream_token ]
  notify:
    image: plugins/matrix
    secrets: [ matrix_username, matrix_password, matrix_homeserver, matrix_roomid ]     

